#
# spec file for package python-isc_dhcp_leases
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-isc_dhcp_leases
Version:        0.10.0
Release:        2.4
Summary:        Python module for reading dhcpd.leases from ISC DHCP server
License:        MIT
URL:            https://github.com/MartijnBraam/python-isc-dhcp-leases
Source:         https://github.com/MartijnBraam/python-isc-dhcp-leases/archive/%{version}.tar.gz#/isc_dhcp_leases-%{version}.tar.gz
# https://github.com/MartijnBraam/python-isc-dhcp-leases/issues/38
Patch0:         python-isc_dhcp_leases-remove-unused-code.patch
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module freezegun}
# /SECTION
BuildArch:      noarch
%python_subpackages

%description
Python module for reading dhcpd.leases from ISC DHCP server.
This module also supports reading lease files from the ISC DHCP daemon
running in IPv6 mode.

%prep
%autosetup -p1 -n python-isc-dhcp-leases-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pyunittest discover -v

%files %{python_files}
%license LICENSE
%{python_sitelib}/isc_dhcp_leases
%{python_sitelib}/isc_dhcp_leases-%{version}.dist-info

%changelog
* Thu Feb 29 2024 Steve Kowalik <steven.kowalik@suse.com>
- Switch to autosetup and pyproject macros.
- Refresh python-isc_dhcp_leases-remove-unused-code.patch to also drop the
  install_requires.
* Thu Aug 31 2023 Martin Hauke <mardnh@gmx.de>
- Update to version 0.10.0
  * Fix timezone awareness for Python 2.7.x
  * Support working with historical dhcpd.leases files
  * Use timezone-aware datetime objects
  * Refactor keyword argument passing to BaseLease
* Mon Nov  7 2022 pgajdos@suse.com
- do not require python-six
- added patches
  fix https://github.com/MartijnBraam/python-isc-dhcp-leases/issues/38
  + python-isc_dhcp_leases-remove-unused-code.patch
* Wed Sep  1 2021 pgajdos@suse.com
- %%check: use %%pyunittest rpm macro
* Fri Apr 17 2020 Martin Hauke <mardnh@gmx.de>
- Initial package, version 0.9.1
